#ifndef __SOLBOX_UTI_H__
#define __SOLBOX_UTI_H__

#ifdef WIN32
// include neon config.h
#include <config.h>
#else // WIN32
#include <pthread.h>
#endif //WIN32
#include <ne_uri.h>
#include <ne_session.h>
#include <ne_socket.h>

#ifdef __cplusplus
extern "C" {
#endif

void md5_buffer(const char *buffer, char *digest) ;
void md5_buffer_bin(const char *buffer, char *digest) ;
int solbox_uri_parse(const char *uri, ne_uri *parsed);
ne_socket* get_session_socket (ne_session*  pnsess) ;

#ifdef __cplusplus
}
#endif

#endif ////__SOLBOX_UTI_H__
